Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset = client.cdn.presets.applied.get_objects(
0,
)
print(applied_preset.object_ids)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPreset, err := client.CDN.Presets.Applied.GetObjects(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPreset.ObjectIDs)
}
curl --request GET \
--url https://api.gcore.com/cdn/presets/{preset_id}/applied \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/presets/{preset_id}/applied', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object_type": "CDNResource",
"object_ids": [
7531,
7532
],
"message": "You have no presets applied"
}Presets
Get applied preset objects
Get the list of objects the preset is currently applied to.
Non-staff users only see objects that belong to their account.
GET
/
cdn
/
presets
/
{preset_id}
/
applied
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset = client.cdn.presets.applied.get_objects(
0,
)
print(applied_preset.object_ids)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPreset, err := client.CDN.Presets.Applied.GetObjects(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPreset.ObjectIDs)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Preset ID.
Response
Successful.
Type of objects the preset is applied to.
Example:
"CDNResource"
IDs of the objects the preset is currently applied to. Empty when the preset is not applied to anything.
Example:
[7531, 7532]
Deprecated. Present only when object_ids is empty. Check object_ids instead. This field is kept
for backward compatibility and will be removed in a future version.
Example:
"You have no presets applied"
Was this page helpful?